WritableFile (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.file.WritableFile class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.file
Class WritableFile

    java.lang.Object
      java.io.File
          org.hyperic.util.file.WritableFile

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<java.io.File>

    public class WritableFile

extends java.io.File

Instances of this class are returned from FileUtil.findWritableFile

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.io.File
`pathSeparator, pathSeparatorChar, separator, separatorChar`

Constructor Summary
`WritableFile(java.io.File parent, java.lang.String child)`
`WritableFile(java.lang.String pathname)`
`WritableFile(java.lang.String parent, java.lang.String child)`
`WritableFile(java.net.URI uri)`

Method Summary
`boolean` | `getOriginalLocationWasUsed()`
`boolean` | `mkdirs()` Create any necessary directories needed to write this file.
`void` | `setOriginalLocationWasUsed(boolean orig)`

Methods inherited from class java.io.File
`canRead, canWrite, compareTo, createNewFile, createTempFile, createTempFile, delete, deleteOnExit, equals, exists, getAbsoluteFile, getAbsolutePath, getCanonicalFile, getCanonicalPath, getName, getParent, getParentFile, getPath, hashCode, isAbsolute, isDirectory, isFile, isHidden, lastModified, length, list, list, listFiles, listFiles, listFiles, listRoots, mkdir, renameTo, setLastModified, setReadOnly, toString, toURI, toURL`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WritableFile

    public WritableFile(java.io.File parent,
                        java.lang.String child)

### WritableFile

    public WritableFile(java.lang.String parent,
                        java.lang.String child)

### WritableFile

    public WritableFile(java.lang.String pathname)

### WritableFile

    public WritableFile(java.net.URI uri)

Method Detail

### mkdirs

    public boolean mkdirs()

  Create any necessary directories needed to write this file.

  Overrides:
    `mkdirs` in class `java.io.File`

### getOriginalLocationWasUsed

    public boolean getOriginalLocationWasUsed()

  Returns:
    true if the original desired location for this file was used.

### setOriginalLocationWasUsed

    public void setOriginalLocationWasUsed(boolean orig)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.